Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deWAV Class Reference

`#include <deWAV.hpp>`

Inheritance diagram for deWAV:

[legend]
Collaboration diagram for deWAV:

[legend]
List of all members.

## Public Member Functions
| deWAV ()
| deWAV (const char *filename)
virtual | ~deWAV ()
void * | GetRscInterface (long interface_id)
deBoolean | Initialize (const char *filename)
void | Destroy ()
void | GetFormat (WAVEFORMATEX *format)
u32 | GetLength ()
int | GetDataChunk (void *ptr, long size, s32 DataOffset)
uint8 * | GetAllData ()
deBoolean | AtEndOfStream ()
void | SetPosition (long NewPos)
int | GetType ()
IdeResourceBase * | MakeCopy ()
| create a copy of the object in memory
## Private Attributes
WaveFormatInfo | m_WaveHeader
long | m_DataOffset
long | m_DataSize
IdeFSReal * | m_pSourceSystem
IdeFile * | m_pSource
int | m_InterfaceType
int | m_RefCount

## Constructor & Destructor Documentation

deWAV::deWAV | ( |  | ) |

deWAV::deWAV | ( | const char * | filename | ) |

deWAV::~deWAV | ( |  | ) | `[virtual]`

## Member Function Documentation

deBoolean deWAV::AtEndOfStream | ( |  | ) | `[virtual]`

| Implements IdeSoundData.

void deWAV::Destroy | ( |  | ) | `[virtual]`

| Implements IdeSoundData.

uint8 * deWAV::GetAllData | ( |  | ) | `[virtual]`

| Implements IdeSoundData.

int deWAV::GetDataChunk | ( | void * | ptr,
|  | long | size,
|  | s32 | DataOffset
| ) | `[virtual]`

| Implements IdeSoundData.

void deWAV::GetFormat | ( | WAVEFORMATEX * | format | ) | `[virtual]`

| Implements IdeSoundData.

u32 deWAV::GetLength | ( |  | ) | `[inline, virtual]`

| Implements IdeSoundData.

void * deWAV::GetRscInterface | ( | long | interface_id | ) | `[virtual]`

  | Used to retrieve a pointer to an interface registered through IdeResourceManager. Returns: NULL or a valid pointer to an interface supported by this object Parameters:
  interface_id | A value previously retrieved through IdeResourceManager::GetUniqueInterfaceID
Reimplemented from deResourceBase.

int deWAV::GetType | ( |  | ) | `[inline, virtual]`

| Implements IdeSoundData.

deBoolean deWAV::Initialize | ( | const char * | filename | ) | `[virtual]`

| Implements IdeSoundData.

IdeResourceBase * deWAV::MakeCopy | ( |  | ) | `[virtual]`

| create a copy of the object in memory Implements deResourceBase.

void deWAV::SetPosition | ( | long | NewPos | ) | `[virtual]`

| Implements IdeSoundData.

## Member Data Documentation

long deWAV::m_DataOffset`[private]`

long deWAV::m_DataSize`[private]`

int deWAV::m_InterfaceType`[private]`

IdeFile* deWAV::m_pSource`[private]`

IdeFSReal* deWAV::m_pSourceSystem`[private]`

int deWAV::m_RefCount`[private]`

WaveFormatInfo deWAV::m_WaveHeader`[private]`

The documentation for this class was generated from the following files:

- deWAV.hpp
- deWAV.cpp